var project = angular.module('project', []);
var contents = [];

!function(a) {
  "use strict";
  a(function() {
    var b = a(window), c = a(document.body);

    var items = $("#main-content").find("h1, h2, h3");
    addItems(items);
    var scope = angular.element($("#sidenav")).scope();
    scope.$apply(function(){ 
        scope.navItems = contents; 
        scope.active = contents[0];
    });
    anchors.options.placement = "left";
    // anchors.options.visible = "always";
    anchors.add();
    anchors.add('#main-content > h1');
    anchors.add('#main-content > h2');
    anchors.add('#main-content > h3');

    $('body').scrollspy({ target: '.usr-sidebar' })
    c.scrollspy("refresh")

    $('[data-spy="scroll"]').each(function () {
      var $spy = $(this).scrollspy('refresh')
    })

    b.on("load", function() {
        c.scrollspy("refresh")
    }), 
    a(".usr-side-bar [href=#]").click(function(a) {
        a.preventDefault()
    }), 

    setTimeout(function() 
    {
      var b = a(".usr-sidebar");
      b.affix({
          offset: {
              top: function() {
                  var c = b.offset().top, d = parseInt(b.children(0).css("margin-top"), 10);
                  return this.top = c  - d
              },
              bottom: function() {
                  return this.bottom = a(".usr-footer").outerHeight(!0)
              }
          }
      })
    }, 100)


  })
}(jQuery);

function addItems(items)
{
  for(var i = 0; i < items.length; i++)
  {
    var item = items[i];
    addItem(item);
  }
}

function addItem(item)
{
  if(item.id != "")
  {
    if(item.tagName == "H1")
    {

      contents.push({title:item.innerHTML, link:"#"+item.id, tag:item.tagName, subItems:[]});
    }else
    {
      var lastItem = contents[contents.length - 1];
      lastItem.subItems.push({title:item.innerHTML, link:"#"+item.id, tag:item.tagName, subItems:[]})
    }
  }
}

navCtrl = project.controller('navCtrl', ['$scope',
  function($scope)
  {
    var els = document.getElementById("main-content");

    $scope.navItems = contents;
  }]
);